Page MenuHomePhabricator

No style loaded in installer
Closed, ResolvedPublic

Description

During installation of MediaWiki 1.25beta (and 1.26alpha) with Vector skin installed (this one in git branch REL1_25), the CSS styles are not loaded: the file /mw-config/index.php?css=1 return an HTTP error 500 (PHP/5.5.6-1 + php-fpm + nginx/1.4.4 -- under Linux Mint LMDE). In nginx log, there is:

2015/05/04 19:40:12 [error] 20033#0: *630 FastCGI sent in stderr: "PHP message: PHP Fatal error:  Call to a member function readStyleFiles() on a non-object in [root path]/includes/installer/WebInstallerOutput.php on line 169" while reading response header from upstream, client: ::ffff:127.0.0.1, server: localhost, request: "GET /mw-config/index.php?css=1 HTTP/1.1", upstream: "fastcgi://unix:/var/run/php5-fpm.sock:", host: "localhost", referrer: "http://localhost/mw-config/index.php"

When I change the git branch of Vector skin to REL1_24, it works fine. So I guess the installer is not converted to the new extension registration, which came into effect with Vector REL1_25.

Event Timeline

Seb35 created this task.May 4 2015, 6:07 PM
Seb35 assigned this task to Legoktm.
Seb35 raised the priority of this task from to High.
Seb35 updated the task description. (Show Details)
Seb35 added a project: MediaWiki-Installer.
Seb35 added a subscriber: Seb35.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 4 2015, 6:07 PM
Legoktm set Security to None.

Ewwwwwwwww.

Change 208703 had a related patch set uploaded (by Legoktm):
installer: Read styles from Vector's skin.json

https://gerrit.wikimedia.org/r/208703

Change 208703 merged by jenkins-bot:
installer: Read styles from Vector's skin.json

https://gerrit.wikimedia.org/r/208703

Change 209283 had a related patch set uploaded (by Legoktm):
installer: Read styles from Vector's skin.json

https://gerrit.wikimedia.org/r/209283

Legoktm closed this task as Resolved.May 6 2015, 6:04 PM

Change 209283 merged by jenkins-bot:
installer: Read styles from Vector's skin.json

https://gerrit.wikimedia.org/r/209283